{% extends 'admin/base.html' %}
{% block content %}
<div class="jumbotron">
    <div class="container">
        <h1>Container Challenge Configuration</h1>
    </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-md-6 offset-md-3">
            {% for error in errors %}
            <div class="alert alert-danger alert-dismissable" role="alert">
                <span class="sr-only">Error:</span>
                {{ error }}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            {% endfor %}
            <form method="POST" action="{{ request.script_root }}/admin/container_challenges/configuration" enctype="multipart/form-data" autocomplete="off" class="form-horizontal">
                <div class="form-group">
                    <label for="registry-username">
                        Challenge Registry Username
                    </label>
                    <input required class="form-control" type="text" name="username" id="registry-username"/>
                </div>
                <div class="form-group">
                    <label for="registry-password">
                        Challenge Registry Password
                    </label>
                    <input required class="form-control" type="text" name="password" id="registry-password"/>
                </div>
                <input type="hidden" value="{{ Session.nonce }}" name="nonce" id="nonce">
                <div class="col-md-13 text-center">
                    <button type="submit" class="btn btn-md btn-primary btn-outlined mb-4">
                        SUBMIT
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
<div class="container">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">username</th>
                <th scope="col">password</th>
            </tr>
        </thead>
        <tbody
            {% for config in configs %}
                <tr>
                    <td>{{ config.username }}</td>
                    <td>{{ config.password }}</td>
                </tr>
                {% endfor %}
        </tbody>
    </table>
</div>
{% endblock content %}
